#!/usr/bin/env python

from PyQt4.QtGui import *
from PyQt4.QtCore import *
from dmApiFactory import DmApiFactory
 
# Define the experiments tab content:
class UploadsTab(QObject):
    def __init__(self, stationName, parent, id=-1):
        super(UploadsTab, self).__init__(parent)
        self.stationName = stationName
        self.experimentDaqApi = DmApiFactory.getInstance().getExperimentDaqApi()

        self.InsertColumn(0, 'Id')
        self.InsertColumn(2, 'Data Directory')
        self.InsertColumn(3, '# Files')

        self.SetColumnWidth(0, 150)
        self.SetColumnWidth(1, 350)
        self.SetColumnWidth(2, 250)

        self.updateList()

    def updateList(self):
        self.uploadList = self.experimentDaqApi.listUploads()

        i = 0
        for upload in self.uploadList:
            self.InsertStringItem(i, upload.get('id'))
            self.SetStringItem(i, 1, upload.get('dataDirectory', ''))
            self.SetStringItem(i, 2, str(upload.get('nFiles', '0')))
            if (i % 2) == 0:
                self.SetItemBackgroundColour(i, '#e6f1f5')
            i += 1



